import deps from '../deps';
export declare function getSpinner(): ActionBase;
export interface ITask {
    action: string;
    status: string | undefined;
    active: boolean;
}
export declare type ActionType = 'spinner' | 'simple' | 'debug';
export declare class ActionBase extends deps.Base {
    type: ActionType;
    start(action: string, status?: string): void;
    stop(msg?: string): void;
    private readonly globals;
    task: ITask | undefined;
    protected output: string | undefined;
    readonly running: boolean;
    status: string | undefined;
    pauseAsync(fn: () => Promise<any>, icon?: string): Promise<any>;
    pause(fn: () => any, icon?: string): any;
    protected log({action, status}: {
        action: string;
        status?: string;
    }): void;
    protected _start(): void;
    protected _stop(status: string): void;
    protected _resume(): void;
    protected _pause(icon?: string): void;
    protected _updateStatus(status: string | undefined, prevStatus?: string): void;
}
