"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const deps_1 = require("../deps");
class DebugAction extends deps_1.default.ActionBase.ActionBase {
    constructor() {
        super(...arguments);
        this.type = 'debug';
    }
    _start() {
        const task = this.task;
        if (!task)
            return;
        this._write(task.status ? `${task.action}... ${task.status}\n` : `${task.action}...\n`);
    }
    _pause() { }
    _resume() { }
    _updateStatus(status, prevStatus, newline = false) {
        const task = this.task;
        if (!task)
            return;
        this._write(`${task.action}... ${status}\n`);
    }
    _stop(status) {
        const task = this.task;
        if (!task)
            return;
        this._updateStatus(status, task.status, true);
    }
    _write(s) {
        this.stderr.write(s, { log: false });
    }
}
exports.DebugAction = DebugAction;
