"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deps = {
    get chalk() { return fetch('chalk'); },
    get moment() { return fetch('moment'); },
    get stripAnsi() { return fetch('strip-ansi'); },
    get ansiStyles() { return fetch('ansi-styles'); },
    get ansiEscapes() { return fetch('ansi-escapes'); },
    get passwordPrompt() { return fetch('password-prompt'); },
    get screen() { return fetch('@cli-engine/screen'); },
    get Prompt() { return fetch('./prompt').default; },
    get Errors() { return fetch('./errors').Errors; },
    get ActionBase() { return fetch('./action/base'); },
    get Base() { return fetch('./base').default; },
    get StreamOutput() { return fetch('./stream').default; },
    get Config() { return fetch('./config').default; },
    get ExitError() { return fetch('./exit_error').ExitError; },
};
const cache = {};
function fetch(s) {
    if (!cache[s]) {
        cache[s] = require(s);
    }
    return cache[s];
}
exports.default = exports.deps;
