import deps from './deps';
export interface IErrorOptions {
    exitCode?: number | false;
    severity: 'warn' | 'fatal' | 'error';
    context?: string;
}
export declare class Errors extends deps.Base {
    handleUnhandleds(): void;
    error(err: Error | string, options: Partial<IErrorOptions> & {
        exitCode: false;
    }): void;
    error(err: Error | string, options?: Partial<IErrorOptions>): never;
    fatal(err: Error | string, options?: Partial<IErrorOptions>): void;
    warn(err: Error | string, options?: Partial<IErrorOptions>): void;
    exit(code?: number): void;
    private logError(err);
}
